.text-bold {
    font-weight: bold;
}
.tao {
    width: 100%;
}
input[type='file'] {
    display: none;
}
.image-upload {
    cursor: pointer;

    .img-upload {
        width: 50px;
    }
    .img-send {
        width: 45px;
        margin-left: 15px;
        padding-top: 2px;
    }
}
.chat-image {
    // display: flex;
    background: rgba(255, 255, 255, 0.8);
    position: relative;
    padding: 5px 13px;
    font-size: 14px;
    clear: both;
    margin: 10px 0;

    img {
        width: 100px;
        padding-right: 5px;
        border-radius: 10px;
    }
}
.label-chat {
    font-size: 8px;
    padding-left: 5px;
    // float: right;
}
.chatroom {
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.3);
    font-family: 'Times New Roman', Times, serif;
}
.picker-style {
    width: 355px;
    position: absolute;
    bottom: 49px;
    right: 7px;
}

.chatroom h3 {
    font-family: 'Pacifico', cursive;
    background-color: rgba(30, 228, 148, 0.7);
    color: #fff;
    margin: 0;
    height: 40px;
    font-size: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.chatroom .chats {
    box-sizing: border-box;
    padding: 0 20px;
    margin: 10px 0 0;
    height: 65vh;
    overflow-y: scroll;
    // overscroll-behavior-y: contain;
    // scroll-snap-type: y proximity;
    // scroll-snap-align: end;
}
.creator {
    position: relative;
    padding: 0px 6px;
    font-size: 11px;
    list-style: none;
    float: left;
    clear: both;
    max-width: 70%;
    overflow: hidden;
}
.chat {
    border: 1px solid gray;
    background: rgba(255, 255, 255, 0.8);
    position: relative;
    padding: 5px 13px;
    font-size: 15px;
    border-radius: 10px;
    list-style: none;
    float: left;
    clear: both;
    margin: 5px 0 10px 0;
    // max-width: 70%;
    overflow: hidden;
}
.back {
    background: #80808094 !important;
    margin-bottom: 10px;
}
.chat img {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    position: absolute;
    top: -10px;
    left: 0px;
}

.right-msg {
    float: right;
    clear: both;
}
.left-msg {
    float: left;
    clear: both;
}

.chat a {
    text-decoration: none;
    color: #3498db;
}
.img-smile {
    width: 25px;
    position: absolute;
    top: 12px;
    right: 0;
    cursor: pointer;
}
.chatroom .input {
    height: 70px;
    width: 100%;
    // background: rgba(30, 228, 148, 0.7);
    display: flex;
    flex-direction: row;
    margin: 16px 0px;
    justify-content: center;
}
.rows {
    width: 100%;
    border-top: 1px solid gray;
}
.chatroom .input input[type='text'] {
    background: rgba(255, 255, 255, 0.5);
    outline: 0;
    border: 2px solid #1ee494;
    padding: 0 5px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    margin-left: 10px;
    // height: 30px;
    width: 50%;
    box-sizing: border-box;
    font-size: 14px;
}

.chatroom .input input[type='submit'] {
    background: transparent;
    border: 1px solid #1ee494;
    height: 30px;
    width: 70px;
    font-size: 14px;
    box-sizing: border-box;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.chatroom .input input[type='submit']:hover {
    background: #1ee494;
    color: #fff;
}
